org.appng.core.model

## Enum RepositoryMode

- java.lang.Object
- - java.lang.Enum<RepositoryMode>
  - - org.appng.core.model.RepositoryMode

- All Implemented Interfaces:
    Serializable, Comparable<RepositoryMode>

      public enum RepositoryMode
      extends Enum<RepositoryMode>

  Display modes of a `Repository`, meaning which kinds of `PackageArchive` are being served.
  Author:
    Matthias Herlitzius

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` all versions, stable and snapshot
    `SNAPSHOT` only snapshot versions
    `STABLE` only stable versions

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RepositoryMode` | `getDefault()`
    `static RepositoryMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RepositoryMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final RepositoryMode ALL

      all versions, stable and snapshot

    - #### STABLE

          public static final RepositoryMode STABLE

      only stable versions

    - #### SNAPSHOT

          public static final RepositoryMode SNAPSHOT

      only snapshot versions

  - ### Method Detail

    - #### values

          public static RepositoryMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RepositoryMode c : RepositoryMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RepositoryMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getDefault

          public static RepositoryMode getDefault()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.